﻿// Written by Shai Raiten: http://blogs.microsoft.co.il/blogs/shair/

using System;
using System.Windows.Data;
using System.Windows;

namespace KinectReception.Converters
{
    public class IBoolToVisibleConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return (bool)value ? Visibility.Visible : Visibility.Hidden;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
