﻿// Written by Shai Raiten: http://blogs.microsoft.co.il/blogs/shair/

using System;
using Microsoft.Research.Kinect.Nui;
using KinectReception.Enums;

namespace KinectReception.Helpers
{
  public static class Extentions
  {
    private const int MinimumFps = 10;

    public static int ToMinFps(this TimeSpan time)
    {
      return Convert.ToInt32(Properties.Settings.Default.SeriousTimer.TotalSeconds * MinimumFps);
    }

    public static float ToFloat(this Joint joint, Vectors vec)
    {
      return vec == Vectors.X ? joint.Position.X : joint.Position.Y;
    }
  }
}
